package m05bPoblacionEJB;

import javax.ejb.CreateException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;

import m05bBD.m05bPoblacion;

/**
 * This class is the Bean Implementation for the Entity EJB <tt>M05PoblacionEB</tt>.
 *
 * @see     m05.exe.Poblacion
 * @see     m05.exe.M05PoblacionEB
 * @see     m05.exe.M05PoblacionEBPK
 * @see     m05.exe.M05PoblacionEBHome
 */
abstract public class m05PoblacionBean implements EntityBean {
  
  private EntityContext ctx;

 

  /** 
   * This is the primary key.
   * It is the clave, which is the primary key 
   * in table <tt>m0524t00</tt>.
   */
 /* public String mod_codigo          = "";
  
  public String mod_marca        	= "";
  public String mod_descripcion     = "";*/
  
  /**
   * Returns the Modelo information of this E-EJB.
   */    
  public m05bPoblacion getPoblacion(){
    m05bPoblacion poblacion = new m05bPoblacion();
    
    poblacion.setPob_codigo(getPob_codigo());
    poblacion.setPob_descripcion(getPob_descripcion());

    
    return poblacion;	
  }    

  /**
   * Sets the Modelo information of this E-EJB.
   * @exception P2GException 
   *              If the given Poblacion <tt>pob_codigo</tt> field 
   *              does not match the primary key that is in the E-EJB.
   */   
  public void setPoblacion(m05bPoblacion poblacion)
    throws Exception{
   
    //the primary key is never modified!!
    if (getPob_codigo() != poblacion.getPob_codigo())
      throw new CreateException ("Cannot modify a different modelo");
      
    setPob_descripcion(poblacion.getPob_descripcion());
    
  }   	

  abstract public String getPob_codigo();
  abstract public void setPob_codigo(String n);
  
  abstract public String getPob_descripcion();
  abstract public void setPob_descripcion(String n);

  public void ejbActivate() {
  }

  public void ejbPassivate() {
  }

  public void setEntityContext(EntityContext ctx) {
    this.ctx = ctx;
  }

  public void unsetEntityContext() {
    this.ctx = null;
  }

  public void ejbLoad() {
  }
  
  public void ejbStore() {
  }

  public void ejbRemove()
    throws RemoveException
  {
  }

  /**
   * This function initializes the Poblacion 
   * information of this E-EJB.
   * It assigns a new primary key to the Poblacion.
   * @see #getNewOrderNum()
   */ 
  public m05PoblacionPK ejbCreate(m05bPoblacion poblacion) 
    throws CreateException
  {
    try {
      setPob_codigo(getPob_codigo());
    } catch (Exception e) {
      throw new CreateException (e.getMessage());
    }    
    setPob_descripcion(poblacion.getPob_descripcion());
    return null;      	
  }

  public void ejbPostCreate(m05bPoblacion poblacion) 
  {
  }

 
}
